Issue 103327

Summary: Option for default copy/paste to work with unformatted text
Product: ui Reporter: Dotan Cohen <apache.org-201110>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues, rainerbielefeld_ooo_qa
Version: OOo 3.1Keywords: oooqa
Target Milestone: AOO PleaseHelp   
Hardware: Unknown   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 17563    
Issue Blocks:    

Description Dotan Cohen 2009-07-04 17:12:54 UTC
When using the copy / paste features of Calc, the application works with
formatting as well as data. The application needs an option to make the default
copy and paste operations be plain text. Currently, the user must use the paste
button's dropdown menu to paste plain text.

This is especially important when working with documents that have sections
separated by borders: Calc will erase the borders of cells if "unformatted text"
is not careful selected at each paste.
Comment 1 Rainer Bielefeld 2009-07-05 08:15:55 UTC
Issue 17563 is fixed for 3.2, but I don't know whether the fix there also solves
the problem here.
Comment 2 Dotan Cohen 2009-07-05 18:23:42 UTC
Thank you Rainer. It seems that Issue 17563 asks for a keyboard shortcut, which
would serve _me_ well. However, my users are mousemaids who need to simply
middle-click to paste plain text.

Thanks.
Comment 3 eric.savary 2009-07-06 11:57:05 UTC
A function for setting (UI) the default clipboard cannot be implemented because
not all clipboard formats are always available (what should happen when the
default format has been set to "Unformatted text" but an image has been copied?).
Comment 4 eric.savary 2009-07-06 11:57:26 UTC
Closed
Comment 5 Dotan Cohen 2009-07-06 15:45:32 UTC
Closed? What closed?


> A function for setting (UI) the default clipboard cannot be
> implemented because not all clipboard formats are always available
> (what should happen when the default format has been set to
> "Unformatted text" but an image has been copied?).

It is understood that this would only affect text.
Comment 6 eric.savary 2009-07-06 16:29:10 UTC
It could be then an entry "Paste Unformatted Text" under "Tools - Options -
OpenOffice.org - View - Middle mouse button".

Reassigned
Comment 7 Dotan Cohen 2009-07-06 16:43:01 UTC
Yes, that would be fine. Thank you.
Comment 8 Rainer Bielefeld 2009-07-06 17:56:37 UTC
@dotancohen:
The workaround from  Issue 17563 (Additional comments from watersrw Mon Jan 31)
Also works in Spreadsheet, I use it regularly with an extra button in the toolbar.
Comment 9 Dotan Cohen 2009-07-06 21:47:17 UTC
Thank you Rainer, but I would rather avoid such workarounds. I myself am not an
OOo guru by any means, and I am just helping an organization (actually, two
organizations) use OOo in place of their usual office suite which is not
available on their new OS. I would like to introduce as few complications as
possible, and macros are certainly out of bounds!

If this issue could be resolved for OOo 3.2 it would save these guys quite some
time and frustration. It would also make their decision to move to FOSS look
good, as they knew that a lot of functionality would be missing in the beginning
but as issues are filed things would get better. I'd like to see that actually
happen.

Thanks!
Comment 10 writerscreen 2010-03-14 18:02:48 UTC
3.2.0 now has the Paste Special icon on the toolbar by default, at least on the Mac, which gives you the 
four alternatives, and that's good.  Haven't tried middle mouse button yet.  But most of my cutting and 
pasting is done with Cmd-C and Cmd-V, and as far as I know there is no Cmd-? for Paste Special, so 
making unformatted text default would definitely be a plus.